на главнуюВсе эхи RU.LINUX.CHAINIK
войти ?

Помогите с портежем

От Maxim Sokolsky (2:5020/828.777) к Maxim Gribanov

В ответ на Заголовок предыдущего сообщения в треде (Имя Автора)


Привет, Maxim!

21 мар 18 10:21, Maxim Gribanov -> All в сообщении по ссылке area://ru.linux.chainik?msgid=2:5064/56+5ab21812:

MG> Друзья, помогите не доломать Gentoo
MG> Сам не пойму как так случилось.

Могу помочь доломать Gentoo - потому как её я устанавливал один раз и это было лет десять назад.

MG> Вобщем решил Я обновить систему.
MG> пишу в терминале emerge -pvuND --with-bdeps=y system
MG> Hа что емердж выдает мне ругань такого типа:

MG> [blocks B ] <dev-qt/qtcore-4.8.7-r4:4
MG> ("<dev-qt/qtcore-4.8.7-r4:4" is blocking dev-qt/qtcore-5.7.1-r4)
MG> Hиже вот такое:
MG> (dev-qt/qtcore-5.7.1-r4:5/5.7::gentoo, ebuild scheduled for merge)

MG> Вобщем есть пакеты которые на qt5, есть которые на qt4 не совсем понял
MG> как это произошло и как безболезненно исправить.
MG> Примечатьельно что в make.conf установлен глобальный use флаг -qt4

Вот потому что у тебя этот флаг стоит - так и случилось.

MG> Помогите пожалуйста!

Да пожалуйста. Судя по всему систему ты давненько не обновлял, всё - включая qt так далеко вперёд убежало, что теперь - полюбому - обновлять до qt5 нужно, как и делать переход c kde4 на kde5.

Была и у меня такая ситуация - правда на Arch Linux'е, но смысл тот же. Ушёл с этого дистрибутива - надоело обновлять всякую дребедень и ходить по граблям этих обновлений - ради того, чтобы поставить мне нужное ПО посвежее.

С наилучшими пожеланиями, Maxim.

--- -А жаль, что во времена неандертальцев не было фидонета
* Origin: Главное - вовремя проснуться (2:5020/828.777)

Ответы на это письмо:

From: Username
Заголовок следующего сообщения в треде может быть длинным и его придется перенести на новую строку

From: Username
Или коротким

FGHI-url этого письма: area://RU.LINUX.CHAINIK?msgid=2:5020/828.777+5ab37fc9